Commit ef8181b8 authored by Peter Mount's avatar Peter Mount

Hmmm, a conflict with V1.104 of configure.in remained and broke configure

(said redirection required when run).

After checking using cvsweb, removed the offending conflict.
Rebuilt configure using autoconf, and it now works fine.
parent 79e2dd58
...@@ -42,7 +42,7 @@ ...@@ -42,7 +42,7 @@
# ... more stuff removed ... # ... more stuff removed ...
# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $ # $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
# PGAC_PATH_FLEX # PGAC_PATH_FLEX
...@@ -66,7 +66,7 @@ ...@@ -66,7 +66,7 @@
# #
# Autoconf macros for configuring the build of Python extension modules # Autoconf macros for configuring the build of Python extension modules
# #
# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $ # $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
# #
# PGAC_PROG_PYTHON # PGAC_PROG_PYTHON
...@@ -85,7 +85,7 @@ ...@@ -85,7 +85,7 @@
# the build of the shared module. Future project. # the build of the shared module. Future project.
# PGAC_PATH_PYTHONDIR # PGAC_PATH_PYTHONDIR
# $Header: /cvsroot/pgsql/configure,v 1.112 2001/03/05 09:38:55 peter Exp $ # $Header: /cvsroot/pgsql/configure,v 1.113 2001/03/05 10:18:43 peter Exp $
# Autoconf macros to check for Tcl related things # Autoconf macros to check for Tcl related things
...@@ -8085,26 +8085,13 @@ done ...@@ -8085,26 +8085,13 @@ done
fi fi
<<<<<<< configure.in
# Finally ready to produce output files ...
=======
# check whether 'test -ef' works # check whether 'test -ef' works
if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then
test_ef_works=yes test_ef_works=yes
else else
test_ef_works=no test_ef_works=no
fi fi
>>>>>>> 1.104
<<<<<<< configure.in
if test x"$abs_top_srcdir" != x"$abs_top_builddir"; then
echo $ac_n "preparing build tree... $ac_c" 1>&6
/bin/sh "$srcdir/config/prep_buildtree" "$abs_top_srcdir" "$abs_top_builddir" \
|| { echo "configure: error: failed" 1>&2; exit 1; }
echo "$ac_t""done" 1>&6
=======
abs_top_srcdir= abs_top_srcdir=
...@@ -8117,7 +8104,6 @@ if test "$test_ef_works" = yes ; then ...@@ -8117,7 +8104,6 @@ if test "$test_ef_works" = yes ; then
|| { echo "configure: error: failed" 1>&2; exit 1; } || { echo "configure: error: failed" 1>&2; exit 1; }
echo "$ac_t""done" 1>&6 echo "$ac_t""done" 1>&6
fi fi
>>>>>>> 1.104
fi fi
trap '' 1 2 15 trap '' 1 2 15
......
...@@ -1145,26 +1145,13 @@ if test -n "$NSGMLS"; then ...@@ -1145,26 +1145,13 @@ if test -n "$NSGMLS"; then
AC_CHECK_PROGS(SGMLSPL, sgmlspl) AC_CHECK_PROGS(SGMLSPL, sgmlspl)
fi fi
<<<<<<< configure.in
# Finally ready to produce output files ...
=======
# check whether 'test -ef' works # check whether 'test -ef' works
if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then if (test "$srcdir" -ef "$srcdir") >/dev/null 2>&1 ; then
test_ef_works=yes test_ef_works=yes
else else
test_ef_works=no test_ef_works=no
fi fi
>>>>>>> 1.104
<<<<<<< configure.in
if test x"$abs_top_srcdir" != x"$abs_top_builddir"; then
echo $ac_n "preparing build tree... $ac_c" 1>&6
/bin/sh "$srcdir/config/prep_buildtree" "$abs_top_srcdir" "$abs_top_builddir" \
|| AC_MSG_ERROR(failed)
AC_MSG_RESULT(done)
=======
abs_top_srcdir= abs_top_srcdir=
AC_SUBST(abs_top_srcdir) AC_SUBST(abs_top_srcdir)
...@@ -1177,7 +1164,6 @@ if test "$test_ef_works" = yes ; then ...@@ -1177,7 +1164,6 @@ if test "$test_ef_works" = yes ; then
|| AC_MSG_ERROR(failed) || AC_MSG_ERROR(failed)
AC_MSG_RESULT(done) AC_MSG_RESULT(done)
fi fi
>>>>>>> 1.104
fi fi
AC_OUTPUT( AC_OUTPUT(
......
...@@ -40,7 +40,6 @@ ...@@ -40,7 +40,6 @@
<property category="sys" name="Version" value="1.0" /> <property category="sys" name="Version" value="1.0" />
<property category="sys" name="VersionLabel" value="@version" /> <property category="sys" name="VersionLabel" value="@version" />
<property category="sys" name="WorkingDirectory" value="." /> <property category="sys" name="WorkingDirectory" value="." />
<node type="Package" name="uk.org.retep.app" />
<node type="Package" name="uk.org.retep.dtu" /> <node type="Package" name="uk.org.retep.dtu" />
<node type="Package" name="uk.org.retep.tools" /> <node type="Package" name="uk.org.retep.tools" />
<node type="Package" name="uk.org.retep.util" /> <node type="Package" name="uk.org.retep.util" />
......
...@@ -15,7 +15,7 @@ import java.awt.event.*; ...@@ -15,7 +15,7 @@ import java.awt.event.*;
* Note: Because it's designed for standalone use, if this window is closed, * Note: Because it's designed for standalone use, if this window is closed,
* the JVM is terminated. Do not use for normal application use. * the JVM is terminated. Do not use for normal application use.
* *
* $Id: StandaloneApp.java,v 1.1 2001/03/05 09:15:36 peter Exp $ * $Id: StandaloneApp.java,v 1.2 2001/03/05 10:18:48 peter Exp $
* *
* @author * @author
* @version 1.0 * @version 1.0
...@@ -44,7 +44,13 @@ public abstract class StandaloneApp extends JFrame ...@@ -44,7 +44,13 @@ public abstract class StandaloneApp extends JFrame
Globals.getInstance().parseArguments(aArgs); Globals.getInstance().parseArguments(aArgs);
// Now initialise this tool (init is overidden) // Now initialise this tool (init is overidden)
JComponent tool = init(); JComponent tool = null;
try {
tool = init();
} catch(Exception ex) {
ex.printStackTrace();
System.exit(1);
}
// Now add to this frame // Now add to this frame
this.getContentPane().add(tool, BorderLayout.CENTER); this.getContentPane().add(tool, BorderLayout.CENTER);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment